Name:          prelink
Version:       20130503
Release:       2mamba
Summary:       ELF prelinking utility to speed up dynamic linking
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           ftp://people.redhat.com/jakub/prelink/
Source0:       http://people.redhat.com/jakub/prelink/prelink-%{version}.tar.bz2
# SOURCE1: see doc/prelink.conf
Source1:       prelink.conf
Source2:       prelink.cron
Source3:       prelink.sysconfig
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libelf-devel
BuildRequires: libselinux-devel
## AUTOBUILDREQ-END
BuildRequires: libelf-devel
BuildRequires: libselinux-devel
BuildRequires: transfig
BuildRequires: tetex
BuildRequires: tetex-latex
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
ELF prelinking utility to speed up dynamic linking.

%package doc
Summary:       Documentation for the prelink tool
Group:         Documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description doc
ELF prelinking utility to speed up dynamic linking.
This package includes pdf documentation for for prelink.

%prep
%setup -q -n %{name}

%build
%configure \
   --disable-shared \
   LIBS="-lpthread"

%make

#% ifnarch arm
#make -C testsuite check-harder
#make -C testsuite check-cycle
#% endif

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

install -d %{buildroot}%{_sysconfdir}/{cron.daily,sysconfig,prelink.conf.d}
install -m644 %{S:1} %{buildroot}%{_sysconfdir}/prelink.conf
install -m755 %{S:2} %{buildroot}%{_sysconfdir}/cron.daily/prelink
install -m644 %{S:3} %{buildroot}%{_sysconfdir}/sysconfig/prelink

install -d %{buildroot}/var/lib/prelink
touch %{buildroot}/var/lib/prelink/full
touch %{buildroot}/var/lib/prelink/quick
touch %{buildroot}/var/lib/prelink/force

install -d %{buildroot}/var/log/prelink
touch %{buildroot}/var/log/prelink/prelink.log

#install -d %{buildroot}%{_sysconfdir}/rpm
#cat > %{buildroot}%{_sysconfdir}/rpm/macros.prelink <<"EOF"
## rpm-4.1 verifies prelinked libraries using a prelink undo helper.
##       Note: The 2nd token is used as argv[0] and "library" is a
##       placeholder that will be deleted and replaced with the appropriate
##       library file path.
##%%__prelink_undo_cmd     /usr/sbin/prelink prelink -y library
#EOF
#chmod 644 %{buildroot}%{_sysconfdir}/rpm/macros.prelink

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post
touch /var/lib/prelink/force
exit 0

%files
%defattr(-,root,root)
%{_bindir}/execstack
%{_sbindir}/prelink
%config(noreplace) %{_sysconfdir}/prelink.conf
%config(noreplace) %{_sysconfdir}/sysconfig/prelink
%{_sysconfdir}/cron.daily/prelink
#%{_sysconfdir}/rpm/macros.prelink
%dir %attr(0755,root,root) %{_sysconfdir}/prelink.conf.d
%dir /var/lib/prelink
%attr(0644,root,root) %ghost %config(missingok,noreplace) /var/lib/prelink/full
%attr(0644,root,root) %ghost %config(missingok,noreplace) /var/lib/prelink/quick
%attr(0644,root,root) %ghost %config(missingok,noreplace) /var/lib/prelink/force
%dir /var/log/prelink
%attr(0644,root,root) %ghost %config(missingok,noreplace) /var/log/prelink/prelink.log
%{_mandir}/man8/execstack.*
%{_mandir}/man8/prelink.*
%doc AUTHORS COPYING

%files doc
%defattr(-,root,root)
%doc doc/prelink.pdf
%doc ChangeLog NEWS README THANKS TODO

%changelog
* Mon Dec 09 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 20130503-2mamba
- disabling in configuration by default; causes problem with recent gcc/glibc and is generally considered obsoleted

* Wed Jul 24 2013 Automatic Build System <autodist@mambasoft.it> 20130503-1mamba
- automatic update by autodist

* Fri Oct 14 2011 Automatic Build System <autodist@mambasoft.it> 20111012-1mamba
- automatic version update by autodist

* Wed Dec 22 2010 Davide Madrisan <davide.madrisan@gmail.com> 20100106-1mamba
- update to 20100106
- move files from /var/lib/misc to /var/lib/prelink/
- own /var/log/prelink

* Mon Jun 29 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 20061201-3mamba
- specfile updated and rebuilt

* Fri Feb 23 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 20061201-2qilnx
- prelink cron: add support for PRELINK_NOINITCHECK to disable relaunching init

* Fri Jan 19 2007 Davide Madrisan <davide.madrisan@qilinux.it> 20061201-1qilnx
- update to version 20061201 by autospec

* Fri Dec 23 2005 Davide Madrisan <davide.madrisan@qilinux.it> 20050610-1qilnx
- package created by autospec
